Upsert Config
curl --request PUT \
--url https://api.example.com/customer-intelligence/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile": {
"differentiators": [
"<string>"
],
"ideal_client_signals": [
"<string>"
],
"verticals": [
"<string>"
],
"geo_focus": [
"<string>"
],
"certifications": [
"<string>"
],
"fit_scoring_guidance": ""
},
"icp": {
"revenue_min": 50000000,
"revenue_max": 500000000,
"headcount_min": 100,
"headcount_max": 5000,
"geography": "US",
"trustpilot_max": 3.5,
"bbb_max": 3,
"g2_max": 3.5,
"min_review_count": 50,
"pain_threshold": 50,
"deep_enrich_threshold": 50,
"stakeholder_threshold": 70,
"verticals": [
"<string>"
],
"exclusions": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/customer-intelligence/config"
payload = {
"profile": {
"differentiators": ["<string>"],
"ideal_client_signals": ["<string>"],
"verticals": ["<string>"],
"geo_focus": ["<string>"],
"certifications": ["<string>"],
"fit_scoring_guidance": ""
},
"icp": {
"revenue_min": 50000000,
"revenue_max": 500000000,
"headcount_min": 100,
"headcount_max": 5000,
"geography": "US",
"trustpilot_max": 3.5,
"bbb_max": 3,
"g2_max": 3.5,
"min_review_count": 50,
"pain_threshold": 50,
"deep_enrich_threshold": 50,
"stakeholder_threshold": 70,
"verticals": ["<string>"],
"exclusions": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile: {
differentiators: ['<string>'],
ideal_client_signals: ['<string>'],
verticals: ['<string>'],
geo_focus: ['<string>'],
certifications: ['<string>'],
fit_scoring_guidance: ''
},
icp: {
revenue_min: 50000000,
revenue_max: 500000000,
headcount_min: 100,
headcount_max: 5000,
geography: 'US',
trustpilot_max: 3.5,
bbb_max: 3,
g2_max: 3.5,
min_review_count: 50,
pain_threshold: 50,
deep_enrich_threshold: 50,
stakeholder_threshold: 70,
verticals: ['<string>'],
exclusions: ['<string>']
}
})
};
fetch('https://api.example.com/customer-intelligence/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_summary": {
"name": "",
"what_we_sell": "",
"target_buyers": "",
"deal_types": ""
},
"config": {
"profile": {
"differentiators": [
"<string>"
],
"ideal_client_signals": [
"<string>"
],
"verticals": [
"<string>"
],
"geo_focus": [
"<string>"
],
"certifications": [
"<string>"
],
"fit_scoring_guidance": ""
},
"icp": {
"revenue_min": 50000000,
"revenue_max": 500000000,
"headcount_min": 100,
"headcount_max": 5000,
"geography": "US",
"trustpilot_max": 3.5,
"bbb_max": 3,
"g2_max": 3.5,
"min_review_count": 50,
"pain_threshold": 50,
"deep_enrich_threshold": 50,
"stakeholder_threshold": 70,
"verticals": [
"<string>"
],
"exclusions": [
"<string>"
]
}
},
"configured": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Customer Intelligence
Upsert Config
Save the org’s default BPO positioning + ICP.
PUT
/
customer-intelligence
/
config
Upsert Config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I